Debian Bug report logs - #386164
wpasupplicant is missing versioned depends: on lsb-base

version graph

Package: wpasupplicant; Maintainer for wpasupplicant is Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>; Source for wpasupplicant is src:wpa.

Reported by: Andreas Janssen <andreas.janssen@bigfoot.com>

Date: Tue, 5 Sep 2006 18:33:10 UTC

Severity: serious

Found in version wpasupplicant/0.5.4-5

Fixed in version wpasupplicant/0.5.5-1

Done: Kel Modderman <kelrin@tpg.com.au>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>:
Bug#386164; Package wpasupplicant. Full text and rfc822 format available.

Acknowledgement sent to Andreas Janssen <andreas.janssen@bigfoot.com>:
New Bug report received and forwarded. Copy sent to Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Janssen <andreas.janssen@bigfoot.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: wpasupplicant is missing versioned depends: on lsb-base
Date: Tue, 05 Sep 2006 20:12:34 +0200
Package: wpasupplicant
Version: 0.5.4-5
Severity: serious
Justification: Policy 3.5


wpasupplicant uses functions from /lib/lsb/init-functions. However
it does not depend on lsb-base. Because some of the functions are
not available in older versions of lsb-base the depends: needs
to be versioned.

regards
	Andreas Janssen


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (1001, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-k7
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>:
Bug#386164; Package wpasupplicant. Full text and rfc822 format available.

Acknowledgement sent to andreas.janssen@bigfoot.com:
Extra info received and forwarded to list. Copy sent to Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 386164@bugs.debian.org (full text, mbox):

From: Andreas Janssen <andreas.janssen@bigfoot.com>
To: 386164@bugs.debian.org
Subject: wpasupplicant is missing versioned depends: on lsb-base
Date: Tue, 5 Sep 2006 21:24:53 +0200
[Message part 1 (text/plain, inline)]
The missing functions log_action_begin and log_action_end were 
introduced in lsb-base 3.0-6.

regards
	Andreas Janssen

-- 
Andreas Janssen <andreas.janssen@bigfoot.com>
PGP-Key-ID: 0xDC801674 ICQ #17079270
Registered Linux User #267976
http://www.andreas-janssen.de/debian-tipps-sarge.html
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>:
Bug#386164; Package wpasupplicant. Full text and rfc822 format available.

Acknowledgement sent to Kel Modderman <kelrin@tpg.com.au>:
Extra info received and forwarded to list. Copy sent to Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 386164@bugs.debian.org (full text, mbox):

From: Kel Modderman <kelrin@tpg.com.au>
To: pkg-wpa-devel@lists.alioth.debian.org, andreas.janssen@bigfoot.com, 386164@bugs.debian.org
Subject: Re: [pkg-wpa-devel] Bug#386164: wpasupplicant is missing versioned depends: on lsb-base
Date: Wed, 6 Sep 2006 18:15:40 +1000
On Wednesday 06 September 2006 05:24, Andreas Janssen wrote:
> The missing functions log_action_begin and log_action_end were
> introduced in lsb-base 3.0-6.

Ok, thanks. wpasupplicant packaging has been updated accordingly.

Kel.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>:
Bug#386164; Package wpasupplicant. Full text and rfc822 format available.

Message #18 received at 386164@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Kel Modderman <kelrin@tpg.com.au>
Cc: pkg-wpa-devel@lists.alioth.debian.org, andreas.janssen@bigfoot.com, 386164@bugs.debian.org
Subject: Re: [pkg-wpa-devel] Bug#386164: wpasupplicant is missing versioned depends: on lsb-base
Date: Sat, 9 Sep 2006 18:06:48 +0200
[Message part 1 (text/plain, inline)]
tags 386164 + pending
thanks

also sprach Kel Modderman <kelrin@tpg.com.au> [2006.09.06.1015 +0200]:
> Ok, thanks. wpasupplicant packaging has been updated accordingly.

This bug is RC. Please upload the fix ASAP.

I am herewith tagging this bug pending.

-- 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, author, administrator, and user
`. `'`     http://people.debian.org/~madduck http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Kel Modderman <kelrin@tpg.com.au>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Janssen <andreas.janssen@bigfoot.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 386164-close@bugs.debian.org (full text, mbox):

From: Kel Modderman <kelrin@tpg.com.au>
To: 386164-close@bugs.debian.org
Subject: Bug#386164: fixed in wpasupplicant 0.5.5-1
Date: Mon, 11 Sep 2006 18:32:09 -0700
Source: wpasupplicant
Source-Version: 0.5.5-1

We believe that the bug you reported is fixed in the latest version of
wpasupplicant, which is due to be installed in the Debian FTP archive:

wpagui_0.5.5-1_i386.deb
  to pool/main/w/wpasupplicant/wpagui_0.5.5-1_i386.deb
wpasupplicant_0.5.5-1.diff.gz
  to pool/main/w/wpasupplicant/wpasupplicant_0.5.5-1.diff.gz
wpasupplicant_0.5.5-1.dsc
  to pool/main/w/wpasupplicant/wpasupplicant_0.5.5-1.dsc
wpasupplicant_0.5.5-1_i386.deb
  to pool/main/w/wpasupplicant/wpasupplicant_0.5.5-1_i386.deb
wpasupplicant_0.5.5.orig.tar.gz
  to pool/main/w/wpasupplicant/wpasupplicant_0.5.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 386164@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kel Modderman <kelrin@tpg.com.au> (supplier of updated wpasupplicant package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 11 Sep 2006 19:23:05 +1000
Source: wpasupplicant
Binary: wpagui wpasupplicant
Architecture: source i386
Version: 0.5.5-1
Distribution: unstable
Urgency: low
Maintainer: Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>
Changed-By: Kel Modderman <kelrin@tpg.com.au>
Description: 
 wpagui     - GUI for wpa_supplicant
 wpasupplicant - Client support for WPA and WPA2 (IEEE 802.11i)
Closes: 381721 382241 382314 382651 384299 384501 386164 386603 386813
Changes: 
 wpasupplicant (0.5.5-1) unstable; urgency=low
 .
   * wpa_supplicant(8) now describes the -P (PID file) line option in the
     manpage. (Closes: #381721)
   * wpa_passphrase(8) is clearer about describing its purpose.
   * Start a paragraph in README.modes containing information about best
     security practises while using and configuring wpa_supplicant. For now
     it briefly covers the topic of file permissions. (Closes: #382241)
   * Implement PSK and ASCII passphrase key sanity checking, and warn user
     about suspicious key lengths (managed mode only).
   * Add leading example network conf, using wpa-passphrase, to README.modes.
   * README.Debian documentation changes as sugested by Eduard Bloch
     (Closes: #382314)
     - reordered sections by importance for a new user, this ensures wext info
       for ipw drivers is obvious (Closes: #384299)
     - rewrote the first chapter to give a fluent introduction, refered to
       wireless-tools doc
     - add missing .gz to README.notes path (Closes: #386603)
   * Reshuffle of README.modes, moving How It Works section toward the latter
     end to avoid stopping people from missing out on important info.
   * Rename 'Notes About Managed Mode' to 'Important Notes About Managed Mode'.
   * Clarify the status of madwifi and 'wext' in README.modes.
     (Closes: #382651)
   * Return exit status of daemon start commands.
   * Further cleanup of ifupdown.sh, move functions to head of script.
   * wpa-ifupdown no longer checks interface state.
   * Touch logfile before redirecting output to it via exec, to make sure it is
     writeable.
   * Split common code into /etc/wpa_supplicant/ifupdown_common.sh, so that
     ifupdown.sh and wpa_action.sh may share it.
   * Add 'wpa_action iface check' option, to test if interface is under
     influence of wpa_cli or not..
   * Start wpa_cli daemon from post-up to avoid a race condition with the
     roaming daemon where association occurred before the master interface
     state was recorded. This would cause the mapped logical interface to fail
     on ifup, as wpa_action would fail to detect the state of the master
     interface, thus not supply the --force option. This is where a stateless
     ifupdown would really help.
   * Make conf_wpa_supplicant no-act for roaming daemon. This is important, so
     that we do not attach wpa_cli to the ctrl_interface socket and initiate
     roaming before state is tracked.
   * Add hints about 'auto' and 'allow-hotplug' options with respect to the
     roaming interface in README.modes. (Closes: #384501)
   * Drop patchset for commenting out large wpa_supplicant.conf, use sed
     instead.
   * Active dbus interface via CONFIG_CTRL_IFACE_DBUS, add build-dep of
     libdbus-1-dev to debian/control.
   * Upstream now provides a connect-to-open-ssid example in the large
     wpa_supplicant.conf file, therefore there is no need to maintain such an
     example. Rename wpa_connect_open_ap.conf to wpa_supplicant.conf.template
     and adjust docs to use this as a starting point for the wpa-roam daemon.
   * Install wpa_passphrase to /usr/bin, there is no need for it in early boot.
   * Build qt4 wpa_gui from wpa_gui dir rather than pure qt4 variant
     (wpa_gui-qt4) as per Jouni's advice.
   * Add versioned dependency on lsb-base >= 3.0-6 for use of log_action_* in
     wpa-ifupdown.init. (Closes: #386164)
   * Use correct terminology when describing wpa-roam in wpa_action(8).
     (Closes: #386813)
Files: 
 710241739e14072bab8fc4d544dac1bf 829 net optional wpasupplicant_0.5.5-1.dsc
 482dd85949c82aa15309e5ab3d2cf5c3 661097 net optional wpasupplicant_0.5.5.orig.tar.gz
 82cb6341ed6ba786c87ea530acfdc93d 74660 net optional wpasupplicant_0.5.5-1.diff.gz
 66988810531ee5570a0d1670292edb24 257044 net optional wpasupplicant_0.5.5-1_i386.deb
 d6360f5ef26b5c482eaaa84d6357bf3b 102552 net optional wpagui_0.5.5-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFBgyqfreS3xkfzYoRAnLPAJ44K6EABUQR8I4csaiomPZPsHwbTwCgjg8A
T2zxcMvaXnpc04b9gLIRw4s=
=bZy7
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 06:00:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:41:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.